from django.conf.urls import patterns, include, url

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    url(r'^index$',               'dynastie.views.index',        name='index'),
    url(r'^$',                    'dynastie.views.index',        name='index'),
    url(r'^disconnect$',          'dynastie.views.disconnect',   name='disconnect'),
    url(r'^user$',                'dynastie.views.user',         name='user'),
    url(r'^user/add$',            'dynastie.views.add_user',     name='add_user'),
    url(r'^user/edit/(\d+)$',     'dynastie.views.edit_user',    name='edit_user'),
    url(r'^user/(\d+)$',          'dynastie.views.edit_user',    name='view_user'),
    url(r'^category/(\d+)$',      'dynastie.views.category',     name='category'),
    url(r'^category/add/(\d+)$',  'dynastie.views.add_category', name='add_category'),
    url(r'^category/edit/(\d+)$', 'dynastie.views.edit_category', name='edit_category'),
    url(r'^category/delete/(\d+)$', 'dynastie.views.delete_category', name='delete_category'),
    url(r'^blog$',                'dynastie.views.blog',         name='blog'),
    url(r'^blog/add$',            'dynastie.views.add_blog',     name='add_blog'),
    url(r'^blog/(\d+)$',          'dynastie.views.view_blog',    name='view_blog'),
    url(r'^blog/edit/(\d+)$',     'dynastie.views.edit_blog',    name='edit_blog'),
    url(r'^post/add/(\d+)$',      'dynastie.views.add_post',     name='add_post'),
    url(r'^post/edit/(\d+)$',     'dynastie.views.edit_post',    name='edit_post'),
    url(r'^post/delete/(\d+)$',   'dynastie.views.delete_post',  name='delete_post'),
    url(r'^generate/(\d+)$',      'dynastie.views.generate',     name='generate'),
    url(r'^preview/(\d+)$',       'dynastie.views.preview',      name='preview'),
    url(r'^tinyMCEExternalList/post/add/(\d+)$',  'dynastie.views.tinymcelist_add',  name='tinymce'),
    url(r'^tinyMCEExternalList/post/edit/(\d+)$', 'dynastie.views.tinymcelist_edit', name='tinymce'),
    url(r'^comment/add/(\d+)/(\d+)$',   'dynastie.views.add_comment',   name='add_comment'),
    url(r'^comment/edit/(\d+)$',  'dynastie.views.edit_comment',  name='edit_comment'),
    url(r'^comment/delete/(\d+)$','dynastie.views.delete_comment',name='delete_comment'),
    url(r'^tag/(\d+)$',           'dynastie.views.tag',          name='tag'),
    url(r'^tag/edit/(\d+)$',      'dynastie.views.edit_tag',     name='edit_tag'),
    url(r'^tag/delete/(\d+)$',    'dynastie.views.delete_tag',   name='delete_tag'),
    url(r'^search/generate/(\d+)$',    'dynastie.views.generate_search',name='generate_search'),
    url(r'^search/(\d+)$',        'dynastie.views.search',       name='search'),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # url(r'^admin/', include(admin.site.urls)),
)
